{
  config,
  lib,
  namespace,
  ...
}:
let
  cfg = config.${namespace}.desktop.hyprland;
in
{
  imports = [ ../../options.nix ];

  config = lib.mkIf cfg.enable {
    services.hyprpaper = {
      enable = true;
      settings = {
        preload = [ "/run/wallpaper.jpg" ];
        wallpaper = ",/run/wallpaper.jpg";
        splash = false;
      };
    };
  };
}
